Bug 1326222 - abiword icon source is used instead of actual icon
Summary: abiword icon source is used instead of actual icon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1387629
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-12 08:16 UTC by Garrett LeSage
Modified: 2016-12-20 17:21 UTC (History)
3 users (show)

Fixed In Version: abiword-3.0.2-3.fc24 abiword-3.0.2-3.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 06:23:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Garrett LeSage 2016-04-12 08:16:43 UTC
In Fedora 24 alpha, the AbiWord package distributes the source SVG instead of using a resulting icon SVG. In gnome-shell, the SVG file is selected, so AbiWord erroneously has all icon sizes in its icon.

The distributed icon source file selected as an icon:
/usr/share/icons/hicolor/scalable/apps/abiword.svg

What it should look like (except, in vectors, as a single SVG icon):
/usr/share/icons/hicolor/512x512/apps/abiword.png


An ideal solution would be to use the resulting AbiWord SVG icon instead of the source SVG. A less than ideal solution (but a solution nontheless) would be to simply not distribute the SVG source and fall back on using only PNG icons.

Comment 2 Hubert Figuiere 2016-09-21 03:27:37 UTC
Will be in 3.0.2 I should actually release one day.

Comment 3 Hubert Figuiere 2016-10-25 04:41:24 UTC
AbiWord 3.0.2 has been released.

Comment 4 Fedora Update System 2016-11-30 02:37:25 UTC
abiword-3.0.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d2e43d0928

Comment 5 Fedora Update System 2016-11-30 02:38:21 UTC
abiword-3.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea95a6a39f

Comment 6 Fedora Update System 2016-11-30 08:18:28 UTC
abiword-3.0.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-673afe7e75

Comment 7 Fedora Update System 2016-11-30 08:19:12 UTC
abiword-3.0.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-564152f164

Comment 8 Fedora Update System 2016-12-03 04:33:03 UTC
abiword-3.0.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-564152f164

Comment 9 Fedora Update System 2016-12-03 05:40:04 UTC
abiword-3.0.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-673afe7e75

Comment 10 Fedora Update System 2016-12-08 04:28:46 UTC
abiword-3.0.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbf1200ab

Comment 11 Fedora Update System 2016-12-08 04:29:48 UTC
abiword-3.0.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca183cdc57

Comment 12 Fedora Update System 2016-12-08 19:24:21 UTC
abiword-3.0.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbf1200ab

Comment 13 Fedora Update System 2016-12-08 19:26:18 UTC
abiword-3.0.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca183cdc57

Comment 14 Fedora Update System 2016-12-20 06:23:28 UTC
abiword-3.0.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-12-20 17:21:12 UTC
abiword-3.0.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.